EDIT - feature request #3958

Handle CDMPreference table
01/14/2014 10:42 PM - Andreas Miiller

Status: Closed Start date:

Priority: Priority09 Due date:

Assignee: Andreas Muller % Done: 67%
Category: cdm Estimated time: 0:00 hour
Target version:

Severity: normal

Description

It is implemented in model but not yet used and not filled with any data. Methods in Service layer are also missing.
Keep in UML milestone as we may need a data updater (e.g. #3658). Move otherwise.
Decisions for the syntax of the different fields:
subject:
e / (Database wide)
¢ /TaxonNode for a classification or subtree

e /editor (??) for purely TaxEditor related preferences (e.g. show ID in supplemental data view)

e TBC

predicate: No required structure, but package like structure with dot separators makes sence

e aaaa.bbb.ccc. MATCH_MODE

aaaa.ee.ff.abc

allows starts with search to return lists of values
¢ Case insensitive (?)

¢ each predicate might be defined by as a constant of an enum

object: up to the predicate to implement

Difficulties may occur when trying to match filters (subjects). An object that requires a preference (e.g. a TaxonName requires a list of
available ranks) may match to multiple filters which map to different values (e.g. because the name is used in multiple classifications)

for details see: #3555, see also open issues there

related #5004, #3773, #5969

Subtasks:

feature request # 5969: Implement CdmPreference reading for database preferences Closed

bug # 6105: Make CdmPreferences editable in separate view Closed
feature request # 5971: Implement database wide CdmPreference writing Closed
bug # 6214: Add project specific preferences to CdmPreference menu Closed

Related issues:
Related to EDIT - bug #3658: Update Nomenclatural code for datasources Closed

Associated revisions

Revision 9252208 - 09/13/2016 11:48 AM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/3658
https://dev.e-taxonomy.eu/redmine/issues/5969

ref #5969: add PreferenceService to applicationController

History

#1 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release

#2 - 06/03/2016 12:55 PM - Andreas Miiller
- Target version changed from CDM UML 4.1 to Release 4.2
- Subject changed from Handle CDMPreferenceTable to Handle CDMPreference table

#3 - 06/03/2016 11:13 PM - Andreas Miiller
preliminary r28261

#4 - 07/06/2016 03:23 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#5 - 09/21/2016 10:19 AM - Andreas Mdller

- Related to feature request #5969: Implement CdmPreference reading for database preferences added

#6 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#7 - 11/15/2016 02:32 PM - Andreas Miuller

- Description updated

#8 - 11/15/2016 02:32 PM - Andreas Miiller
- Related to bug #3658: Update Nomenclatural code for datasources added

#9 - 11/23/2016 02:56 PM - Andreas Miiller
- Related to bug #6105: Make CdmPreferences editable in separate view added

#10 - 12/01/2016 02:06 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#11 - 01/19/2017 01:54 PM - Andreas Miiller
- Target version changed from Release 4.5 to Release 4.6

- Private changed from Yes to No

#12 - 03/10/2017 08:57 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#13 - 05/11/2017 10:21 AM - Andreas Muiller

- Target version changed from Release 4.7 to Release 4.8

#14 - 07/06/2017 10:40 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#15 - 07/21/2017 10:36 AM - Andreas Miuiller

- Target version changed from Release 4.9 to Release 4.10

#16 - 09/24/2017 12:14 AM - Andreas Miuiller

- Status changed from New to Closed

I think we can close this as we are already using the CDM Preference table
#17 - 09/24/2017 12:15 AM - Andreas Miiller

- Target version deleted (Release 4.10)
